package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcFbqk;
import org.apache.ibatis.annotations.Param;

/**
 * 分布情况 tc_fbqkMapper接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcFbqkMapper 
{
    /**
     * 查询分布情况 tc_fbqk
     * 
     * @param id 分布情况 tc_fbqk主键
     * @return 分布情况 tc_fbqk
     */
    public TcFbqk selectTcFbqkById(Long id);

    /**
     * 查询分布情况 tc_fbqk列表
     * 
     * @param tcFbqk 分布情况 tc_fbqk
     * @return 分布情况 tc_fbqk集合
     */
    public List<TcFbqk> selectTcFbqkList(TcFbqk tcFbqk);

    /**
     * 新增分布情况 tc_fbqk
     * 
     * @param tcFbqk 分布情况 tc_fbqk
     * @return 结果
     */
    public int insertTcFbqk(TcFbqk tcFbqk);

    /**
     * 修改分布情况 tc_fbqk
     * 
     * @param tcFbqk 分布情况 tc_fbqk
     * @return 结果
     */
    public int updateTcFbqk(TcFbqk tcFbqk);

    /**
     * 删除分布情况 tc_fbqk
     * 
     * @param id 分布情况 tc_fbqk主键
     * @return 结果
     */
    public int deleteTcFbqkById(Long id);

    /**
     * 批量删除分布情况 tc_fbqk
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcFbqkByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
